Index: contrib/Pallet/English.lproj/MainMenu.xib
===================================================================
--- contrib/Pallet/English.lproj/MainMenu.xib	(revision 65496)
+++ contrib/Pallet/English.lproj/MainMenu.xib	(revision 72223)
@@ -4838,106 +6657,4 @@
 					</object>
 					<object class="IBObjectRecord">
-						<int key="objectID">379</int>
-						<reference key="object" ref="715417482"/>
-						<object class="NSMutableArray" key="children">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-							<reference ref="542996579"/>
-							<reference ref="919684674"/>
-						</object>
-						<reference key="parent" ref="872100568"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">380</int>
-						<reference key="object" ref="755579174"/>
-						<object class="NSMutableArray" key="children">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-							<reference ref="785841008"/>
-							<reference ref="437845126"/>
-						</object>
-						<reference key="parent" ref="872100568"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">381</int>
-						<reference key="object" ref="785841008"/>
-						<object class="NSMutableArray" key="children">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-							<reference ref="874205404"/>
-							<reference ref="836577780"/>
-						</object>
-						<reference key="parent" ref="755579174"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">382</int>
-						<reference key="object" ref="437845126"/>
-						<object class="NSMutableArray" key="children">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-							<reference ref="607508980"/>
-							<reference ref="1050413450"/>
-							<reference ref="40118016"/>
-							<reference ref="147590798"/>
-							<reference ref="294835276"/>
-						</object>
-						<reference key="parent" ref="755579174"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">383</int>
-						<reference key="object" ref="607508980"/>
-						<reference key="parent" ref="437845126"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">384</int>
-						<reference key="object" ref="1050413450"/>
-						<reference key="parent" ref="437845126"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">385</int>
-						<reference key="object" ref="40118016"/>
-						<reference key="parent" ref="437845126"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">386</int>
-						<reference key="object" ref="147590798"/>
-						<reference key="parent" ref="437845126"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">387</int>
-						<reference key="object" ref="294835276"/>
-						<reference key="parent" ref="437845126"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">391</int>
-						<reference key="object" ref="542996579"/>
-						<object class="NSMutableArray" key="children">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-							<reference ref="638205081"/>
-							<reference ref="102426883"/>
-						</object>
-						<reference key="parent" ref="715417482"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">392</int>
-						<reference key="object" ref="919684674"/>
-						<object class="NSMutableArray" key="children">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-							<reference ref="215583482"/>
-						</object>
-						<reference key="parent" ref="715417482"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">393</int>
-						<reference key="object" ref="215583482"/>
-						<reference key="parent" ref="919684674"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">394</int>
-						<reference key="object" ref="102426883"/>
-						<reference key="parent" ref="542996579"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">395</int>
-						<reference key="object" ref="638205081"/>
-						<reference key="parent" ref="542996579"/>
-					</object>
-					<object class="IBObjectRecord">
 						<int key="objectID">552</int>
 						<reference key="object" ref="401655277"/>
@@ -4950,89 +6667,13 @@
 					</object>
 					<object class="IBObjectRecord">
-						<int key="objectID">572</int>
-						<reference key="object" ref="385089462"/>
-						<object class="NSMutableArray" key="children">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-							<reference ref="137032907"/>
-							<reference ref="410720919"/>
-							<reference ref="761227369"/>
-						</object>
-						<reference key="parent" ref="872100568"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">573</int>
-						<reference key="object" ref="137032907"/>
-						<object class="NSMutableArray" key="children">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-							<reference ref="316739235"/>
-						</object>
-						<reference key="parent" ref="385089462"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">577</int>
-						<reference key="object" ref="410720919"/>
-						<object class="NSMutableArray" key="children">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-							<reference ref="694675644"/>
-						</object>
-						<reference key="parent" ref="385089462"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">581</int>
-						<reference key="object" ref="694675644"/>
-						<reference key="parent" ref="410720919"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">585</int>
-						<reference key="object" ref="316739235"/>
-						<reference key="parent" ref="137032907"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">614</int>
-						<reference key="object" ref="761227369"/>
-						<object class="NSMutableArray" key="children">
-							<bool key="EncodedWithXMLCoder">YES</bool>
-							<reference ref="352720977"/>
-							<reference ref="1012628434"/>
-							<reference ref="512246893"/>
-							<reference ref="296621711"/>
-						</object>
-						<reference key="parent" ref="385089462"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">618</int>
-						<reference key="object" ref="352720977"/>
-						<reference key="parent" ref="761227369"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">619</int>
-						<reference key="object" ref="1012628434"/>
-						<reference key="parent" ref="761227369"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">620</int>
-						<reference key="object" ref="512246893"/>
-						<reference key="parent" ref="761227369"/>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">621</int>
-						<reference key="object" ref="296621711"/>
-						<reference key="parent" ref="761227369"/>
-					</object>
-					<object class="IBObjectRecord">
 						<int key="objectID">503</int>
 						<reference key="object" ref="1022824499"/>
-						<reference key="parent" ref="1049"/>
+						<reference key="parent" ref="0"/>
 						<string key="objectName">ActionLauncher</string>
-					</object>
-					<object class="IBObjectRecord">
-						<int key="objectID">627</int>
-						<reference key="object" ref="650498606"/>
-						<reference key="parent" ref="978062640"/>
 					</object>
 					<object class="IBObjectRecord">
 						<int key="objectID">628</int>
 						<reference key="object" ref="800227439"/>
-						<reference key="parent" ref="1049"/>
+						<reference key="parent" ref="0"/>
 					</object>
 					<object class="IBObjectRecord">
@@ -5059,5 +6700,5 @@
 						<int key="objectID">651</int>
 						<reference key="object" ref="517804865"/>
-						<reference key="parent" ref="1049"/>
+						<reference key="parent" ref="0"/>
 					</object>
 					<object class="IBObjectRecord">
@@ -5068,5 +6709,5 @@
 							<reference ref="263175754"/>
 						</object>
-						<reference key="parent" ref="1049"/>
+						<reference key="parent" ref="0"/>
 					</object>
 					<object class="IBObjectRecord">
@@ -5086,4 +6727,12 @@
 							<reference ref="913553871"/>
 							<reference ref="560892625"/>
+							<reference ref="51619653"/>
+							<reference ref="613653874"/>
+							<reference ref="921252007"/>
+							<reference ref="871494942"/>
+							<reference ref="624888554"/>
+							<reference ref="674050419"/>
+							<reference ref="132541940"/>
+							<reference ref="543739730"/>
 						</object>
 						<reference key="parent" ref="614957216"/>
@@ -5251,5 +6900,5 @@
 						<int key="objectID">764</int>
 						<reference key="object" ref="245714563"/>
-						<reference key="parent" ref="1049"/>
+						<reference key="parent" ref="0"/>
 					</object>
 					<object class="IBObjectRecord">
@@ -5273,4 +6922,138 @@
 					</object>
 					<object class="IBObjectRecord">
+						<int key="objectID">572</int>
+						<reference key="object" ref="385089462"/>
+						<object class="NSMutableArray" key="children">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<reference ref="761227369"/>
+							<reference ref="410720919"/>
+							<reference ref="137032907"/>
+						</object>
+						<reference key="parent" ref="872100568"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">614</int>
+						<reference key="object" ref="761227369"/>
+						<object class="NSMutableArray" key="children">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<reference ref="296621711"/>
+							<reference ref="512246893"/>
+							<reference ref="1012628434"/>
+							<reference ref="352720977"/>
+						</object>
+						<reference key="parent" ref="385089462"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">621</int>
+						<reference key="object" ref="296621711"/>
+						<reference key="parent" ref="761227369"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">620</int>
+						<reference key="object" ref="512246893"/>
+						<reference key="parent" ref="761227369"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">619</int>
+						<reference key="object" ref="1012628434"/>
+						<reference key="parent" ref="761227369"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">618</int>
+						<reference key="object" ref="352720977"/>
+						<reference key="parent" ref="761227369"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">577</int>
+						<reference key="object" ref="410720919"/>
+						<object class="NSMutableArray" key="children">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<reference ref="694675644"/>
+						</object>
+						<reference key="parent" ref="385089462"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">581</int>
+						<reference key="object" ref="694675644"/>
+						<reference key="parent" ref="410720919"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">573</int>
+						<reference key="object" ref="137032907"/>
+						<object class="NSMutableArray" key="children">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<reference ref="316739235"/>
+						</object>
+						<reference key="parent" ref="385089462"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">585</int>
+						<reference key="object" ref="316739235"/>
+						<reference key="parent" ref="137032907"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">380</int>
+						<reference key="object" ref="755579174"/>
+						<object class="NSMutableArray" key="children">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<reference ref="437845126"/>
+							<reference ref="785841008"/>
+						</object>
+						<reference key="parent" ref="872100568"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">382</int>
+						<reference key="object" ref="437845126"/>
+						<object class="NSMutableArray" key="children">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<reference ref="294835276"/>
+							<reference ref="147590798"/>
+							<reference ref="40118016"/>
+							<reference ref="1050413450"/>
+							<reference ref="607508980"/>
+						</object>
+						<reference key="parent" ref="755579174"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">387</int>
+						<reference key="object" ref="294835276"/>
+						<reference key="parent" ref="437845126"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">386</int>
+						<reference key="object" ref="147590798"/>
+						<reference key="parent" ref="437845126"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">385</int>
+						<reference key="object" ref="40118016"/>
+						<reference key="parent" ref="437845126"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">384</int>
+						<reference key="object" ref="1050413450"/>
+						<reference key="parent" ref="437845126"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">383</int>
+						<reference key="object" ref="607508980"/>
+						<reference key="parent" ref="437845126"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">381</int>
+						<reference key="object" ref="785841008"/>
+						<object class="NSMutableArray" key="children">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<reference ref="836577780"/>
+							<reference ref="874205404"/>
+						</object>
+						<reference key="parent" ref="755579174"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">789</int>
+						<reference key="object" ref="836577780"/>
+						<reference key="parent" ref="785841008"/>
+					</object>
+					<object class="IBObjectRecord">
 						<int key="objectID">788</int>
 						<reference key="object" ref="874205404"/>
